Package ch.qos.logback.core.joran.action

## Class ActionUtil

- java.lang.Object
- - ch.qos.logback.core.joran.action.ActionUtil

    public class ActionUtil
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ActionUtil.Scope`

### Constructor Summary

Constructors
`ActionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `setProperties​(InterpretationContext ic, java.util.Properties props, ActionUtil.Scope scope)` Add all the properties found in the argument named 'props' to an InterpretationContext.
`static void` `setProperty​(InterpretationContext ic, java.lang.String key, java.lang.String value, ActionUtil.Scope scope)`
`static ActionUtil.Scope` `stringToScope​(java.lang.String scopeStr)` Convert a string into a scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActionUtil

    public ActionUtil()

### Method Detail

#### stringToScope

    public static ActionUtil.Scope stringToScope​(java.lang.String scopeStr)

Convert a string into a scope. Scole.LOCAL is returned by default.

Parameters:
  `scopeStr` -
Returns:
  a scope corresponding to the input string; Scope.LOCAL by default.

#### setProperty

    public static void setProperty​(InterpretationContext ic,
                                   java.lang.String key,
                                   java.lang.String value,
                                   ActionUtil.Scope scope)

#### setProperties

    public static void setProperties​(InterpretationContext ic,
                                     java.util.Properties props,
                                     ActionUtil.Scope scope)

Add all the properties found in the argument named 'props' to an InterpretationContext.